local function suffix_reps(seq, suffix_len)
	assert(suffix_len <= #seq)
	local tail = #seq - suffix_len
	local reps = 1
	while true do
		for offset = 0, suffix_len - 1 do
			if seq[tail - offset] ~= seq[#seq - offset] then
				return reps
			end
		end
		tail = tail - suffix_len
		reps = reps + 1
	end
end

local function gen_seq(n)
	local seq = {}
	for i = 1, n do
		local max = 1
		for j = 1, i / 2 do
			max = math.max(max, suffix_reps(seq, j))
		end
		seq[i] = max
	end
	return seq
end

print(table.concat(gen_seq(tonumber((...))), ", "))
